Метод | Описание | |
---|---|---|
GetFaces ( Autodesk.Revit.DB.Element elem ) : FaceArray |
get all faces that compose the geometry solid of given element
|
|
GetLength ( Line line ) : double |
get the length of the given line
|
|
GetPoints ( Face face ) : List |
get all points proximate to the given face
|
|
GetScaledLine ( Line inLine, double scale ) : Line |
Get scaled line which has both the same center and direction with give line
|
|
GetXYParallelLine ( Line inLine, double distance ) : Line |
get parallel line with give distance with given line in XY plane
|
|
IsHorizontalFace ( Face face ) : bool |
judge whether the given face is horizontal
|
|
IsParallel ( Face face, Line line ) : bool |
judge whether a face and a line are parallel
|
|
IsRectangular ( CurveArray curves ) : bool |
judge whether given 4 lines can form a rectangular
|
Метод | Описание | |
---|---|---|
AddXYZ ( Autodesk p1, Autodesk p2 ) : Autodesk.Revit.DB.XYZ |
add two XYZ
|
|
CrossMatrix ( Autodesk p1, Autodesk p2 ) : Autodesk.Revit.DB.XYZ |
multiplication cross of two Autodesk.Revit.DB.XYZ as Matrix
|
|
DotMatrix ( Autodesk p1, Autodesk p2 ) : double |
dot product of two Autodesk.Revit.DB.XYZ as Matrix
|
|
IsEqual ( double d1, double d2 ) : bool |
judge whether the subtraction of two doubles is less than the internal decided precision
|
|
IsVertical ( Line line1, Line line2 ) : bool |
judge whether two lines are vertical
|
|
MultiXYZ ( Autodesk p1, double para ) : Autodesk.Revit.DB.XYZ |
multiply Autodesk.Revit.DB.XYZ with a double
|
|
SubXYZ ( Autodesk p1, Autodesk p2 ) : Autodesk.Revit.DB.XYZ |
subtraction of two Autodesk.Revit.DB.XYZ as Matrix
|
public static GetFaces ( Autodesk.Revit.DB.Element elem ) : FaceArray | ||
elem | Autodesk.Revit.DB.Element | element to be calculated |
Результат | FaceArray |
public static GetLength ( Line line ) : double | ||
line | Line | |
Результат | double |
public static GetPoints ( Face face ) : List |
||
face | Face | face to be calculated |
Результат | List |
public static GetScaledLine ( Line inLine, double scale ) : Line | ||
inLine | Line | given line |
scale | double | scale value |
Результат | Line |
public static GetXYParallelLine ( Line inLine, double distance ) : Line | ||
inLine | Line | given line |
distance | double | distance from given line |
Результат | Line |
public static IsHorizontalFace ( Face face ) : bool | ||
face | Face | face to be judged |
Результат | bool |
public static IsParallel ( Face face, Line line ) : bool | ||
face | Face | |
line | Line | |
Результат | bool |
public static IsRectangular ( CurveArray curves ) : bool | ||
curves | CurveArray | |
Результат | bool |